# @knot/rollup-react-example

[![knot platform](https://img.shields.io/static/v1?label=platform&message=@knot/browser-plugin&color=blue&style=flat-square)](http://npm.im/@knot/browser-plugin)
[![knot jsx](https://img.shields.io/static/v1?label=jsx&message=@knot/react-plugin&color=28a745&style=flat-square)](http://npm.im/@knot/react-plugin)
[![knot style](https://img.shields.io/static/v1?label=style&message=@knot/jss-plugin&color=ff69b4&style=flat-square)](http://npm.im/@knot/jss-plugin)
[![knot bundler](https://img.shields.io/static/v1?label=bundler&message=@knot/rollup-plugin&color=blueviolet&style=flat-square)](http://npm.im/@knot/rollup-plugin)

> A [`knot`](https://github.com/effervescentia/knot) example project using [`react`](https://reactjs.org) and [`rollup`](https://rollupjs.org/).

## Table of Contents

- [Usage](#usage)
- [Maintainers](#maintainers)
- [Contributing](#contributing)
- [License](#license)

## Usage

### Setup

Install project dependencies

```sh
npm install
# or
yarn install
```

### Build

Run `rollup` and generate a browser-ready `bundle.js`

```sh
npm build
# or
yarn build
```

### Start

Start `http-server` to serve the built files and launch browser

```sh
npm start
# or
yarn start
```

### Test

Run ui regression tests with `cypress`

```sh
npm test
# or
yarn test
```

## Maintainers

[@effervescentia](https://github.com/effervescentia)

## Contributing

PRs accepted.

Small note: If editing the README, please conform to the [standard-readme](https://github.com/RichardLitt/standard-readme) specification.

## License

MIT © 2019 Ben Teichman
